# Generated from gitlab_chronic_duration-0.10.6.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitlab_chronic_duration

Name: rubygem-%{gem_name}
Version: 0.10.6.2
Release: 1%{?dist}
Summary: A simple Ruby natural language parser for elapsed time
License: MIT
URL: https://gitlab.com/gitlab-org/gitlab-chronic-duration
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.12.0
# BuildRequires: rubygem(rspec) < 2.13
BuildArch: noarch

%description
A simple Ruby natural language parser for elapsed time. (For example, 4 hours
and 30 minutes, 6 minutes 4 seconds, 3 days, etc.) Returns all results in
seconds. Will return an integer unless you get tricky and need a float. (4
minutes and 13.47 seconds, for example.) The reverse can also be performed via
the output method.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gitlab_chronic_duration.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.10.6.2-1
- Initial package
